This patch documents two implemented and classical command
line options "-v" and "-x". It is derived from Debian GNU/Linux.

Index: doc/bash.1
--- doc/bash.1.orig	2004-07-12 17:27:08 +0200
+++ doc/bash.1	2004-07-27 19:47:10 +0200
@@ -116,6 +116,12 @@
 This option allows the positional parameters to be set
 when invoking an interactive shell.
 .TP
+.B \-v
+Print shell input lines as they are read.
+.TP
+.B \-x
+Print commands and their arguments as they are executed.
+.TP
 .B \-D
 A list of all double-quoted strings preceded by \fB$\fP
 is printed on the standard ouput.

-----------------------------------------------------------------------------

Port to HP-UX 11i and similar less smart platforms.

Index: configure
--- configure.orig	2004-07-21 22:18:56 +0200
+++ configure	2004-07-27 19:47:10 +0200
@@ -1517,6 +1517,7 @@
 *-beos*)	opt_bash_malloc=no ;;	# they say it's suitable
 *-cygwin*)	opt_bash_malloc=no ;;	# Cygnus's CYGWIN environment
 *-opennt*|*-interix*)	opt_bash_malloc=no ;;	# Interix, now owned by Microsoft
+*-hpux*)	opt_bash_malloc=no ;;	# HP HP-UX
 esac
 
 # memory scrambling on free()
@@ -1662,7 +1663,7 @@
 
 else
 	MALLOC_LIB=
-	MALLOC_LIBRARY=
+	MALLOC_LIBRARY=dummy
 	MALLOC_LDFLAGS=
 	MALLOC_DEP=
 fi
Index: syntax.h
--- syntax.h.orig	2004-04-15 05:19:36 +0200
+++ syntax.h	2004-07-27 19:47:10 +0200
@@ -21,6 +21,8 @@
 #ifndef _SYNTAX_H_
 #define _SYNTAX_H_
 
+#include "config.h"
+
 /* Defines for use by mksyntax.c */
 
 #define slashify_in_quotes "\\`$\"\n"

-----------------------------------------------------------------------------

This adds the OpenPKG packaging brand.

Index: version.c
--- version.c.orig	2003-12-19 22:34:02 +0100
+++ version.c	2004-07-27 19:47:10 +0200
@@ -77,7 +77,7 @@
 show_shell_version (extended)
      int extended;
 {
-  printf ("GNU bash, version %s (%s)\n", shell_version_string (), MACHTYPE);
+  printf ("GNU bash, version %s (%s) [@l_openpkg_release@]\n", shell_version_string (), MACHTYPE);
   if (extended)
     printf (_("Copyright (C) 2004 Free Software Foundation, Inc.\n"));
 }

